using System;

using Microtoolskit.Hardware.IO;

namespace PANDA_3_I2C_LED_BP
{
    public class Program
    {
        public static void Main()
        {
            // Paramtres du bus I2C
            byte addLeds_I2C = 0x38; // Adresse (7 bits) du PCF8574 reli aux LEDs de la carte SSI
            byte addBPs_I2C = 0x3f;  // Adresse (7 bits) du PCF8574 reli aux BPs  "
            Int16 FreqLed = 100; // Frquence d'horloge du bus I2C en kHz
            Int16 FreqBP = 200; // Elle peut tre diffrente pour chacun des composants

            // Cration d'un objet BPs
            PCF8574 Leds = new PCF8574(addLeds_I2C, FreqLed);

            // Cration d'un objet Leds
            PCF8574 BPs = new PCF8574(addBPs_I2C, FreqBP);

            byte stateLED = 0xFF; // Etat initial des LED
            Leds.Write(stateLED);

            while (true)
            {
                // Lecture des BPs
                stateLED = BPs.Read();
                stateLED = (byte)~stateLED;
                // Ecriture sur les Leds
                Leds.Write(stateLED);
            }
        }
    }
}
